#!/bin/sh

export LANG=C
export LC_ALL=C

CC_FOR_BUILD="gcc-4.6"

GIT_URL="git://git.us.kernel.org/pub/scm/linux/kernel/git/paulmck/linux-2.6-rcu.git"
GIT_BRANCH="sedat.2011.04.21a"

#BRANCH="rcu-${GIT_BRANCH}"
BRANCH="preempt-rcu-${GIT_BRANCH}"

upstream="2.6.39"
extraversion="-rc3-${BRANCH}"
uploader="dileks"

DEBIAN_VERSION="${upstream}${extraversion}-1~${uploader}.1"

LOG_FILE="deb-pkg.log_${BRANCH}"

if [ -d linux-2.6-rcu ]; then
   rm -rf linux-2.6-rcu
   git clone $GIT_URL
   cd linux-2.6-rcu
   git checkout -b $GIT_BRANCH origin/$GIT_BRANCH
fi

#cp -v /boot/config-$(uname -r) .config

cp -av /boot/config-2.6.39-rc3-preempt-rcu-sedat.2011.04.19a+ .config

yes "" | make oldconfig

make CC=$CC_FOR_BUILD EXTRAVERSION="$extraversion" deb-pkg KDEB_PKGVERSION="$DEBIAN_VERSION" 2>&1 | tee ../$LOG_FILE

